#include <iostream>
using namespace std;

int main()
{
    int N,K,br=0;
    cin>>N>>K;
    int a[N];
    for(int i=0;i<N;i++){
        cin>>a[i];
    }
    int b[2*N+1];
    for(int i=0;i<=2*N;i++){
        b[i]=0;
    }
     for(int i=0;i<N;i++){
        a[i]=a[i]+N;
    }
     for(int i=0;i<N;i++){
        b[a[i]]++;
    }
    for(int i=0;i<=2*N;i++){
        if(b[i]>=K)
            br++;
    }
    cout<<br<<endl;
    for(int i=0;i<=2*N;i++){
        if(b[i]>=K)
            cout<<i-N<<" ";
    }
}